Summary: FAM, the File Alteration Monitor.
Name: fam
Version: 2.6.7
Release: 6
License: GPL/LGPL
Group: System Environment/Daemons
URL: http://oss.sgi.com/projects/fam/
Source: fam-%{version}.tar.gz
Source2: sgi_fam.xinetd
Patch1: fam-2.6.7-dnotify.patch
Patch2: fam_build.patch
Patch5: fam-2.6.6-cleanfiles.patch
Patch6: fam-2.6.7-libstdc++.patch
Patch7: fam-2.6.7-cleanup.patch
BuildRoot: /var/tmp/fam-%{PACKAGE_VERSION}-root
Requires: portmap
Requires: xinetd >= 2.1.8.9pre15
Prefix: %{_prefix}
ExcludeArch: alpha

%description
FAM, the File Alteration Monitor, provides a daemon and an API which
applications can use for notification of changes in specific files or
directories.

%package devel
Summary: FAM, the File Alteration Monitor development files.
Group: Development/Libraries
Requires: fam = %{PACKAGE_VERSION}

%description devel
Static libraries and header files for fam, the File Alteration
Monitor.

%prep
%setup
%patch1 -p1 -b .dnotify
%patch2 -p1 -b .build
%patch5 -p1 -b .CLEANFILES
#%patch6 -p1 -b .stdc++
%patch7 -p1 -b .cleanup

%build
#The patch changes configure.in, so we have to regenerate some files
libtoolize --force
aclocal
autoconf
autoheader
automake --add-missing

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --sysconfdir=/etc --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d
cp $RPM_SOURCE_DIR/sgi_fam.xinetd $RPM_BUILD_ROOT/etc/xinetd.d/sgi_fam

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
killall -q -USR1 xinetd
exit 0

%postun
/sbin/ldconfig
killall -q -USR1 xinetd
exit 0

%files
%defattr(-,root,root)
%doc ChangeLog COPYING INSTALL INSTALL.rpm README TODO
%config(noreplace) /etc/xinetd.d/sgi_fam
%config(noreplace) /etc/fam.conf
%{prefix}/bin/fam
%{prefix}/lib/libfam.so.*
%{_mandir}/man1/fam.1m.gz

%files devel
%defattr(-, root, root)
%{prefix}/lib/libfam.so
%{prefix}/lib/libfam.la
%{prefix}/lib/libfam.a
%{prefix}/include/fam.h
%{_mandir}/man3/fam.3x.gz

%changelog
* Sun Apr  7 2002 Alex Larsson <alexl@redhat.com>
- New dnotify patch that fixes bad reentrancy bug. 

* Tue Feb 26 2002 Alex Larsson <alexl@redhat.com>
- Bump for rebuild. Disabled patch stdc++ patch

* Tue Jan 15 2002 Alex Larsson <alexl@redhat.com> 2.6.7-4
- Added patch that should keep /tmp clean

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jan  7 2002 Alex Larsson <alexl@redhat.com> 2.6.7-2
- Changed -lsupc++ to -lstdc++.

* Mon Jan  7 2002 Alex Larsson <alexl@redhat.com> 2.6.7-1
- Updated to 2.7.6
- removed patches that went in upstream
- added -lsupc++ to the link line for libfam.

* Mon Dec 17 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.6.6-2
- Fix build with gcc 3.1
- Handle RPM_OPT_FLAGS correctly
- Use %%{_mandir} as opposed to hardcoding /usr/share/man
- Temporarily exclude alpha due to compiler bugs

* Thu Nov 29 2001 Alex Larsson <alexl@redhat.com> 2.6.6-1
- Updated to 2.2.6

* Tue Oct  3 2001 Alex Larsson <alexl@redhat.com> 2.6.4-14
- Look at mtime for stat_changed too.

* Tue Oct  2 2001 Alex Larsson <alexl@redhat.com> 2.6.4-13
- Add changed in same second racecondition half-fix.

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Wed Aug 22 2001 Alex Larsson <alexl@redhat.com> 2.6.4-11
- Fix the comment in the xinetd file
- This fixes bug #52328

* Tue Aug 14 2001 Alexander Larsson <alexl@redhat.com> 2.6.4-10
- Only set version=2 in xinetd config file, because some xinetds
- seems to have a problem registering several versions of an rpc
- with the portmapper. Fixes the disappearing icons problem in
- Nautilus.

* Tue Aug  7 2001 Alexander Larsson <alexl@redhat.com> 2.6.4-9
- Fixed dnotify detection 

* Tue Aug  7 2001 Alexander Larsson <alexl@redhat.com> 2.6.4-8
- Add patch that fixes problem when several different users
- connect to fam.

* Wed Jul 04 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Make killall silent.

* Wed Jul 04 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- make sure scripts exit without failure

* Mon Jul 2 2001 Alexander Larsson <alexl@redhat.com>
- Release 5. Some specfile cleanups

* Mon Jul 2 2001 Alexander Larsson <alexl@redhat.com>
- Release 4. Bind the server to 127.0.0.1 to avoid external
- connections. New dnotify patch that handles (i hope)
- queue overruns. Make the service UNLISTED so that modification
- of /etc/rpc isn't needed.

* Wed Jun 27 2001 Alexander Larsson <alexl@redhat.com>
- release 3, require xinetd pre15 because of brokenness in pre14
- Install the service in /etc/rpc

* Tue Jun 26 2001 Alexander Larsson <alexl@redhat.com>
- Initial version, based on the one in the fam distribution.
- release is 2 to avoid collisions with the distribution version
